POST api/Payment/GetSuccessPaymentListByTpoIdNew

Request Information

URI Parameters

None.

Body Parameters

Collection of integer

Request Formats

application/json, text/json

Sample:
[
  1,
  2
]

application/xml, text/xml

Sample:
<ArrayOflong xmlns:i="http://www.w3.org/2001/XMLSchema-instance" xmlns="http://schemas.microsoft.com/2003/10/Serialization/Arrays">
  <long>1</long>
  <long>2</long>
</ArrayOflong>

application/x-www-form-urlencoded

Sample:

Sample not available.

Response Information

Resource Description

Collection of TpoPayment
NameDescriptionTypeAdditional information
Id

integer

None.

TpoId

integer

None.

DistributorId

integer

None.

TransactionId

string

None.

OrderId

string

None.

PoNo

string

None.

TransAmount

decimal number

None.

CashDiscount

decimal number

None.

TransDate

date

None.

CreatedDate

date

None.

Status

string

None.

IsSettlement

integer

None.

SettlementDate

date

None.

PaymentMode

string

None.

IsCreditBalanceUse

integer

None.

LADCode

string

None.

DairyPlantID

integer

None.

DairyPlantCode

string

None.

Response Formats

application/json, text/json

Sample:
[
  {
    "id": 1,
    "tpoId": 2,
    "distributorId": 3,
    "transactionId": "sample string 4",
    "orderId": "sample string 5",
    "poNo": "sample string 6",
    "transAmount": 7.0,
    "cashDiscount": 8.0,
    "transDate": "2026-04-13T20:20:37.7183154+05:30",
    "createdDate": "2026-04-13T20:20:37.7183154+05:30",
    "status": "sample string 11",
    "isSettlement": 12,
    "settlementDate": "2026-04-13T20:20:37.7183154+05:30",
    "paymentMode": "sample string 14",
    "isCreditBalanceUse": 15,
    "ladCode": "sample string 16",
    "dairyPlantID": 17,
    "dairyPlantCode": "sample string 18"
  },
  {
    "id": 1,
    "tpoId": 2,
    "distributorId": 3,
    "transactionId": "sample string 4",
    "orderId": "sample string 5",
    "poNo": "sample string 6",
    "transAmount": 7.0,
    "cashDiscount": 8.0,
    "transDate": "2026-04-13T20:20:37.7183154+05:30",
    "createdDate": "2026-04-13T20:20:37.7183154+05:30",
    "status": "sample string 11",
    "isSettlement": 12,
    "settlementDate": "2026-04-13T20:20:37.7183154+05:30",
    "paymentMode": "sample string 14",
    "isCreditBalanceUse": 15,
    "ladCode": "sample string 16",
    "dairyPlantID": 17,
    "dairyPlantCode": "sample string 18"
  }
]

application/xml, text/xml

Sample:
<ArrayOfTpoPayment xmlns:i="http://www.w3.org/2001/XMLSchema-instance" xmlns="http://schemas.datacontract.org/2004/07/DistributionApplication.Entities">
  <TpoPayment>
    <CashDiscount>8</CashDiscount>
    <CreatedDate>2026-04-13T20:20:37.7183154+05:30</CreatedDate>
    <DairyPlantCode>sample string 18</DairyPlantCode>
    <DairyPlantID>17</DairyPlantID>
    <DistributorId>3</DistributorId>
    <Id>1</Id>
    <IsCreditBalanceUse>15</IsCreditBalanceUse>
    <IsSettlement>12</IsSettlement>
    <LADCode>sample string 16</LADCode>
    <OrderId>sample string 5</OrderId>
    <PaymentMode>sample string 14</PaymentMode>
    <PoNo>sample string 6</PoNo>
    <SettlementDate>2026-04-13T20:20:37.7183154+05:30</SettlementDate>
    <Status>sample string 11</Status>
    <TpoId>2</TpoId>
    <TransAmount>7</TransAmount>
    <TransDate>2026-04-13T20:20:37.7183154+05:30</TransDate>
    <TransactionId>sample string 4</TransactionId>
  </TpoPayment>
  <TpoPayment>
    <CashDiscount>8</CashDiscount>
    <CreatedDate>2026-04-13T20:20:37.7183154+05:30</CreatedDate>
    <DairyPlantCode>sample string 18</DairyPlantCode>
    <DairyPlantID>17</DairyPlantID>
    <DistributorId>3</DistributorId>
    <Id>1</Id>
    <IsCreditBalanceUse>15</IsCreditBalanceUse>
    <IsSettlement>12</IsSettlement>
    <LADCode>sample string 16</LADCode>
    <OrderId>sample string 5</OrderId>
    <PaymentMode>sample string 14</PaymentMode>
    <PoNo>sample string 6</PoNo>
    <SettlementDate>2026-04-13T20:20:37.7183154+05:30</SettlementDate>
    <Status>sample string 11</Status>
    <TpoId>2</TpoId>
    <TransAmount>7</TransAmount>
    <TransDate>2026-04-13T20:20:37.7183154+05:30</TransDate>
    <TransactionId>sample string 4</TransactionId>
  </TpoPayment>
</ArrayOfTpoPayment>